import request from '@/assets/js/utils/request'

// 获取配置列表
export function getPlatformConfigList(data) {
  return request({
    url:
      '/bidprocurement/common-user/user/platformConfig/getPlatformConfigList',
    method: 'post',
    data
  })
}
// 新增平台配置
export function addPlatformConfig(data) {
  return request({
    url: '/bidprocurement/common-user/user/platformConfig/addPlatformConfig',
    method: 'post',
    data
  })
}
// 根据id查询配置
export function selectPlatformConfig(data) {
  return request({
    url:
      '/bidprocurement/common-user/user/platformConfig/selectPlatformConfig?id=' +
      data,
    method: 'post'
  })
}
// 删除配置
export function deletePlatformConfig(data) {
  return request({
    url:
      '/bidprocurement/common-user/user/platformConfig/deletePlatformConfig?id=' +
      data,
    method: 'post'
  })
}
// 修改配置
export function updatePlatformConfig(data) {
  return request({
    url: '/bidprocurement/common-user/user/platformConfig/updatePlatformConfig',
    method: 'post',
    data
  })
}
// 网页配置初始化
export function initPlatformConfig() {
  return request({
    url: '/bidprocurement/common-user/user/platformConfig/initPlatformConfig',
    method: 'get'
  })
}
